/*------------------------------------------------------------------------------
 bin/djv_info/app.h

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_INFO_APP
#define DJV_INFO_APP

#include <djv_image/app.h>
#include <djv_base/file.h>

namespace djv_info {
using namespace djv_base;

//------------------------------------------------------------------------------
// Application

class App : public djv_image::app::App
{
public:

  App(int, char **);

private:

  void file(const File &, bool path = false) throw (Error);
  void dir(const File &, bool label) throw (Error);

  void cmdln(Str &) throw (Error);
  Str cmdln_help() const;

  List<Str> _input;
  bool _verbose;
  file::SEQ_COMPRESS _seq;
  bool _recurse;
  int _columns;
};

}

#endif

