/*------------------------------------------------------------------------------
 bin/djv_view/file_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "file.h"

namespace djv_view {
namespace file {

const Str
  menu_title = "&File",
  menu_open = "Open",
  menu_recent = "Recent",
  menu_reload = "Reload",
  menu_close = "Close",
  menu_save = "Save",
  menu_save_frame = "Save Frame",
  menu_layer = "Layer",
  menu_layer_prev = "Layer Previous",
  menu_layer_next = "Layer Next",
  menu_proxy = "Proxy",
  menu_cache = "Cache";

const Str
  tooltip_open = "Open a file.\nKeyboard shortcut: %%",
  tooltip_reload = "Reload current file.\nKeyboard shortcut: %%",
  tooltip_close = "Close current file.\nKeyboard shortcut: %%";

const Str
  prefs_title = "File",
  prefs_group = "Options",
  prefs_seq_auto = "Automatically open file sequences.",
  prefs_cmdln_combine = "Combine command line arguments into a single input.",
  prefs_proxy_group = "Proxy",
  prefs_proxy = "Value:",
  prefs_proxy_text = "Proxy scaling reduces image resolution to conserve "
    "memory.",
  prefs_cache_group = "Cache",
  prefs_cache = "Enable.",
  prefs_cache_size = "Size:",
  prefs_cache_size_unit = "MB",
  prefs_cache_display = "Display cached frames in playback timeline.",
  prefs_cache_text = "The file cache stores images in memory to increase "
    "playback performance. When the cache is disabled, images are streamed "
    "directly from disk.";

const Str
  dialog_save_check = "Overwrite existing file?";

}
}

