/*------------------------------------------------------------------------------
 include/djv_ui/layout_.h

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

namespace djv_ui {
namespace layout {

inline ITEM Item::item() const { return _item; }

inline const Box2i & Item::geom() const { return _geom; }
inline const Vec2i & Item::size_hint() const { return _size_hint; }
inline const Vec2i & Item::size_min() const { return _size_hint; }
inline int Item::visible() const { return true; }

inline const SIZE * Item::size() const { return _size; }
inline const ALIGN * Item::align() const { return _align; }
  
inline const List<Item *> & Item::group() const { return _group; }
inline Item * Item::group_align() { return this; }
inline Item * Item::label_align() { return 0; }

inline Item * Item::parent() const { return _parent; }

inline const List<Item *> & Layout::list() const { return _list; }

}
}
