/*------------------------------------------------------------------------------
 lib/djv_image/io_sgi_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_image/io_sgi.h>

namespace djv_image {
namespace io_sgi {

DJV_STR_OPERATOR_SET(COMPRESS, label_compress())
DJV_STR_OPERATOR_GET(COMPRESS, label_compress())

const List<Str> & label_compress()
{
  static const List<Str> data = List<Str>() <<
    "None" <<
    "RLE";
  return data;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() <<
    "Compress";
  return data;
}

}
}

