//#define DJV_DBG

#include <djv_base/io.h>
#include <stdio.h>

using namespace djv_base;

int main(int argc, char ** argv)
{
  if (argc != 2)
  {
    printf("usage: test_io_line (input)\n");
    return 1;
  }
  
  try
  {
    Io io;
    io.open(argv[1], io::READ);
    while (io.valid())
    {
      char buf [str::cstr_size];
      try { io::line(&io, buf, str::cstr_size); } catch (Error) {}
      printf("%s\n", buf);
    }
  }
  catch (Error in) { djv_base::error::print(in); }
  return 0;
}

