#define DJV_DBG

#include <djv_ui/app.h>
#include <djv_ui/prefs.h>

namespace {

using namespace djv_ui;

class App : public djv_ui::app::App
{
public:

  App(int & argc, char ** argv);
};

App::App(int & argc, char ** argv) :
  djv_ui::app::App("test_prefs", argc, argv)
{
  List<bool> list_bool = List<bool>() << true << false << true << false;
  
  prefs::Prefs prefs(djv_ui::prefs::prefs(), "test_prefs");
  djv_ui::prefs::set(&prefs, "list_bool", list_bool);
}

}

int main(int argc, char ** argv)
{
  return App(argc, argv).exec();
}

