/*------------------------------------------------------------------------------
 lib/djv_image/gl_offscreen_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "gl_offscreen.h"

namespace djv_image {
namespace gl_offscreen {

DJV_STR_OPERATOR_SET(BUFFER, label_buffer())
DJV_STR_OPERATOR_GET(BUFFER, label_buffer())

const List<Str> & label_buffer()
{
  static const List<Str> data = List<Str>() <<
    "Pbuffer" <<
    "FBO";
  return data;
}

Dbg & operator << (Dbg & dbg, BUFFER in) { return dbg << str::label(in); }

}
}
