#!/bin/csh

# XXX Binaries contain full path to libs.
set build_dir = /Users/darby/build/djv

set lib_dir = Frameworks
set lib = `ls -1 $lib_dir`

set plugin_dir = PlugIns
set plugin = `ls -1 $plugin_dir`

set bin_dir = MacOS
set bin = `ls -1 $bin_dir`

foreach i ($lib)

  echo $i

  echo "  Update library ID."
  set cmd = "install_name_tool -id @executable_path/../$lib_dir/$i $lib_dir/$i"
  $cmd

  echo "  Update library paths."
  foreach j ($lib)
    set cmd = "install_name_tool -change $i @executable_path/../$lib_dir/$i $lib_dir/$j"
    $cmd
  end

  echo "  Update plugin paths."
  foreach j ($plugin)
    set cmd = "install_name_tool -change $i @executable_path/../$lib_dir/$i $plugin_dir/$j"
    $cmd
  end

  echo "  Update binary path."
  set cmd = "install_name_tool -change $build_dir/$i @executable_path/../$lib_dir/$i $bin_dir/$bin"
  $cmd

  echo ""
end

